net.sf.jasperreports.engine.base

## Class JRBaseBox

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseBox

- All Implemented Interfaces:
    java.io.Serializable, JRBox, JRStyleContainer

  Deprecated.
  Replaced by `JRBaseLineBox`

      public class JRBaseBox
      extends java.lang.Object
      implements JRBox, java.io.Serializable

  This is useful for drawing borders around text elements and images. Boxes can have borders and paddings, which can have different width and colour on each side of the element.
  Version:
    $Id: JRBaseBox.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRLineBox` | `lineBox` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseBox()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()` Deprecated. Replaced by `JRBaseLineBox.getDefaultStyleProvider()`
    `java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `JRLineBox.getPen()`
    `java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `JRLineBox.getPen()`
    `java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
    `java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
    `java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`
    `java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
    `java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
    `java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`
    `java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `JRLineBox.getOwnPadding()`
    `java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `JRLineBox.getRightPen()`
    `java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `JRLineBox.getRightPen()`
    `java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`
    `java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `JRLineBox.getTopPen()`
    `java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `JRLineBox.getTopPen()`
    `java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`
    `JRStyle` | `getStyle()` Deprecated. Replaced by `JRBaseLineBox.getStyle()`
    `java.lang.String` | `getStyleNameReference()` Deprecated. Replaced by `JRBaseLineBox.getStyleNameReference()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lineBox

          protected JRLineBox lineBox

      Deprecated.

  - ### Constructor Detail

    - #### JRBaseBox

          public JRBaseBox()

      Deprecated.

  - ### Method Detail

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Deprecated. Replaced by `JRBaseLineBox.getDefaultStyleProvider()`
      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Deprecated. Replaced by `JRBaseLineBox.getStyle()`
      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Deprecated. Replaced by `JRBaseLineBox.getStyleNameReference()`
      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getOwnBorder

          public java.lang.Byte getOwnBorder()

      Deprecated. Replaced by `JRLineBox.getPen()`
      Specified by:
        `getOwnBorder` in interface `JRBox`

    - #### getOwnBorderColor

          public java.awt.Color getOwnBorderColor()

      Deprecated. Replaced by `JRLineBox.getPen()`
      Specified by:
        `getOwnBorderColor` in interface `JRBox`

    - #### getOwnPadding

          public java.lang.Integer getOwnPadding()

      Deprecated. Replaced by `JRLineBox.getOwnPadding()`
      Specified by:
        `getOwnPadding` in interface `JRBox`

    - #### getOwnTopBorder

          public java.lang.Byte getOwnTopBorder()

      Deprecated. Replaced by `JRLineBox.getTopPen()`
      Specified by:
        `getOwnTopBorder` in interface `JRBox`

    - #### getOwnTopBorderColor

          public java.awt.Color getOwnTopBorderColor()

      Deprecated. Replaced by `JRLineBox.getTopPen()`
      Specified by:
        `getOwnTopBorderColor` in interface `JRBox`

    - #### getOwnTopPadding

          public java.lang.Integer getOwnTopPadding()

      Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`
      Specified by:
        `getOwnTopPadding` in interface `JRBox`

    - #### getOwnLeftBorder

          public java.lang.Byte getOwnLeftBorder()

      Deprecated. Replaced by `JRLineBox.getLeftPen()`
      Specified by:
        `getOwnLeftBorder` in interface `JRBox`

    - #### getOwnLeftBorderColor

          public java.awt.Color getOwnLeftBorderColor()

      Deprecated. Replaced by `JRLineBox.getLeftPen()`
      Specified by:
        `getOwnLeftBorderColor` in interface `JRBox`

    - #### getOwnLeftPadding

          public java.lang.Integer getOwnLeftPadding()

      Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`
      Specified by:
        `getOwnLeftPadding` in interface `JRBox`

    - #### getOwnBottomBorder

          public java.lang.Byte getOwnBottomBorder()

      Deprecated. Replaced by `JRLineBox.getBottomPen()`
      Specified by:
        `getOwnBottomBorder` in interface `JRBox`

    - #### getOwnBottomBorderColor

          public java.awt.Color getOwnBottomBorderColor()

      Deprecated. Replaced by `JRLineBox.getBottomPen()`
      Specified by:
        `getOwnBottomBorderColor` in interface `JRBox`

    - #### getOwnBottomPadding

          public java.lang.Integer getOwnBottomPadding()

      Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`
      Specified by:
        `getOwnBottomPadding` in interface `JRBox`

    - #### getOwnRightBorder

          public java.lang.Byte getOwnRightBorder()

      Deprecated. Replaced by `JRLineBox.getRightPen()`
      Specified by:
        `getOwnRightBorder` in interface `JRBox`

    - #### getOwnRightBorderColor

          public java.awt.Color getOwnRightBorderColor()

      Deprecated. Replaced by `JRLineBox.getRightPen()`
      Specified by:
        `getOwnRightBorderColor` in interface `JRBox`

    - #### getOwnRightPadding

          public java.lang.Integer getOwnRightPadding()

      Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`
      Specified by:
        `getOwnRightPadding` in interface `JRBox`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com